1. Customers
Repairy Partner API
  • Welcome 👋
  • Get Started
  • HTTP Headers
  • Authorization
  • Workshops
  • Bookings
  • Quotes
  • Service Reminder
  • Data Reporting
  • Booking URL
  • Error Codes
  • Technical Support
  • Changelog
  • Additional Services
  • Service Catalog
  • APIs
    • Authorization
      • Access Token
      • Refresh Token
    • Workshops
      • Availabilities
      • Service Catalog
    • Bookings
      • Booking Request with Service Catalog (beta)
      • Booking Request
      • Booking Information
      • Update Booking Information
      • Update Booking Status
    • Quotes
      • Quote Request
    • Service Reminder
      • Service Reminder Notification
      • Service Reminder Information
    • Data Reporting
      • Partner Report
    • Leads
      • Call Lead
    • Messaging
      • Send Message
      • List of Templates
    • Campaigns
      • Trigger Automation
      • Blast List
      • Trigger Blast
      • Find Blast
    • Webhooks
      • Call History Webhook
  • Data Structures
    • AuthResponse
    • Availability
    • CustomAvailability
    • Car
    • Customer
    • Booking
    • BookingUpdateRequest
    • BookingStatusUpdateConfig
    • Quote
    • ServiceHistory
    • ServiceReminder
    • WebhookRequest
    • ServiceCatalog
    • CallLead
  • Repairy AI
    • Customers
      • Existing Customer Lookup
        GET
      • Create Call Leads
        POST
    • Reschedule
      • Find Booking
      • Availabilities
      • Send Verification Code
      • Reschedule Booking
  • Webhook
    • Booking events
    • Call history
  • Schemas
    • Schemas
      • WebhookRequest
      • ServiceSelection
      • ServiceCatalogItem
      • CallLead
      • Booking
      • BookingUpdateRequest
      • Customer
      • Car
      • Availability
      • CustomAvailability
      • AuthResponse
      • Quote
      • ServiceHistory
      • ServiceReminder
      • BookingStatusUpdateConfig
    • RescheduleBooking
    • RescheduleAvailability
    • RescheduleError
  1. Customers

Existing Customer Lookup

Developing
Cloud Mock
https://mock.apidog.com/m1/839892-0-default
Cloud Mock
https://mock.apidog.com/m1/839892-0-default
GET
/workshops/{id}/customers/details/phones/{phone}

Lookup customer information using phone number#

Get existing customer profile details, registered cars info, previous bookings, and upcoming due services

Phone Numbers#

Phone number must be sanitized without any special characters or white spaces.
Preferably in leading zero format or E.164 standards.
For example:
0400000002
61400000002

Request

Path Params

Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://mock.apidog.com/m1/839892-0-default/workshops/affa9b0d131e2bd184342d75/customers/details/phones/0400000002' \
--header 'X-Partner-ID: PARTNER_ID' \
--header 'Authorization: Bearer ACCESS_TOKEN' \
--header 'Content-Type: application/json'

Responses

🟢200Success
application/json
Bodyapplication/json

Example
{
    "cars": [
        {
            "id": "67c95959c7b3b9f94ba7f5fc",
            "customerId": "67c80630d0ed7543a1a73293",
            "rego": "REG123",
            "createdAt": "",
            "updatedAt": ""
        }
    ],
    "customer": {
        "id": "67c80630d0ed7543a1a73293",
        "workshopId": "5f7ffaa0297212002192de09",
        "phone": "0400000002",
        "name": "",
        "firstName": "",
        "lastName": "",
        "email": "",
        "company": "",
        "address": "",
        "postcode": "",
        "suburb": ""
    },
    "latestBooking": {
        "id": "682b04d85f9491535fbf9078",
        "workshopId": "5f7ffaa0297212002192de09",
        "customerId": "67c80630d0ed7543a1a73293",
        "carId": "67c95959c7b3b9f94ba7f5fc",
        "code": "QUOFDKOQL2",
        "date": "2024-12-02T00:00:00.000Z",
        "servicePackageType": "basic",
        "externalId": "ref123456789",
        "status": "done",
        "interval": 46000,
        "jobNotes": [
            "Oil Change"
        ],
        "customerCompany": "",
        "notes": "",
        "productNotes": [],
        "tyreQuantities": 0,
        "createdAt": "2024-12-01T00:00:00.000Z",
        "updatedAt": "2024-12-02T00:00:00.000Z"
    },
    "upcomingServices": {
        "services": [
            {
                "carId": "67c95959c7b3b9f94ba7f5fc",
                "servicePackageType": "basic",
                "lastServiceId": "67c95965d0ed7543a1a76b5e",
                "lastServiceDate": "2024-12-02T00:00:00.000Z",
                "nextDueDate": "2025-06-02T00:00:00.000Z",
                "nextInterval": 56000,
                "notes": "tes 1"
            }
        ]
    }
}
Modified at 2026-11-18 03:04:15
Previous
CallLead
Next
Create Call Leads
Built with